<div class="row aling-items-center">
    <div class="col-md-12">
        <h6 class="title">Vehiculos</h6>
        <!-- <div class="d-flex position-absolute" style="top: 7px; right: 16px;">
            <button class="btn btn-info btn-sm py-1 mr-2" (click)="add()">
              Nuevo
            </button>
            <button class="btn btn-success text-white btn-sm py-1" (click)="search.show()">
              Existente
            </button>
        </div> -->
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="table-responsive scroll" style="max-height: 300px;">
            <table class="table table-bordered table-striped">
                <thead>
                    <th>Codigo</th>
                    <th>Matricula</th>
                    <th class="w-50">Descripcion</th>
                    <th>Propietario</th>
                </thead>
                <tbody>
                    <tr *ngFor="let v of vehiculos | slice:pagination.skip:pagination.take">
                        <td>{{ v.Id }}</td>
                        <td>{{ v.Matricula || '--' }}</td>
                        <td>{{ v.Descripcion || '--' }}</td>
                        <td>{{ v.ResidenteNombreCompleto }}</td>
                    </tr>
                </tbody>
                <tfoot *ngIf="!vehiculos || vehiculos?.length === 0">
                    <tr>
                        <td colspan="99" class="text-center text-muted">
                            No Hay Registros
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>

<div class="row" *ngIf="vehiculos?.length > 0">
    <div class="col-md-12 d-flex justify-content-center">
        <app-pagination [(page)]="pagination.Page" [limit]="pagination.Limit" 
            [total]="pagination.TotalCount">
        </app-pagination>
    </div>
</div>




